Subject: [lp-wan] Focused Scope for LPWAN WG at Berlin

From: Ana Minaburo <[email-masked]>
Date: Mon, 18 Apr 2016 23:03:15 +0200

Hello again,

Well in this message I would like to discuss the scope of the WG. We need
to define the focused gaps we want to work in. Let's agree about which are
the subjects we want to study,

I think the following points are vey important in order to create the WG,
please tell me which other you think we need to add.

1. IPv6
draft-gomez-lpwan-ipv6-analysis-00
IP End to End Communication
IPv6 MTU requires fragmentation
ND will be configured in advanced

2. Header Compression
draft-toutain-lp-wan-compression-context-00
New Mechanism adapted to challenged networks

3.  Security
Personal information need to be secured,

4. Management
draft-pelov-core-cosol-01
draft-veillette-core-cool-01
draft-somaraju-core-sid-00

Regards
Ana

---

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 19 Apr 2016 07:17:09 +0000

Hi Ana,

I would focus on the use of IPv6 over these low power wide area networks.

Device management approaches, OMA LWM2M, COMI/COOL or others, would work over these radio technologies.

For security I haven’t seen a document that convinced me that some work is needed.

Ciao
Hannes

From: lp-wan [mailto:[email-masked]] On Behalf Of Ana Minaburo
Sent: 18 April 2016 23:03
To: [email-masked]
Subject: [lp-wan] Focused Scope for LPWAN WG at Berlin

Hello again,

Well in this message I would like to discuss the scope of the WG. We need to define the focused gaps we want to work in. Let's agree about which are the subjects we want to study,

I think the following points are vey important in order to create the WG, please tell me which other you think we need to add.

1. IPv6

2. Header Compression

3.  Security

4. Management

Regards
Ana

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Thomas Watteyne <[email-masked]>
Date: Tue, 19 Apr 2016 09:37:08 +0200

I believe the BoF at Buenos Aires indicated work needs to be done in the
area of LPWAN at the IETF.

Most of the discussion in Buenos Aires was about the technology that was
going to be addressed; that discussion is missing from the initial e-mail
in this thread.

There was a clear consensus from the room to narrow the scope of LPWAN to
2-3 long-range technologies. There were some remarks about whether this was
the LPWAN group pushing new technology, or whether there was pull from the
entities defining that technology. Since then, representatives of companies
working on SIGFOX and IEEE802.15.4g technology spoke up, expressing clear
interest for the solutions LPWAN could come up with. There may be others
speaking up.

So I believe we have our 2-3 technologies, and I strongly suggest the LPWAN
group narrows its scope to those as an initial set. Please note that a
IEEE802.15.4g network is not per-se single hop, so that "feature" of LPWAN
should be lifted.

My 2c.

Thomas

On Tue, Apr 19, 2016 at 9:17 AM, Hannes Tschofenig <
[email-masked]> wrote:

> *From:* lp-wan [mailto:[email-masked]] *On Behalf Of *Ana
> Minaburo
> *Sent:* 18 April 2016 23:03
> *To:* [email-masked]
> *Subject:* [lp-wan] Focused Scope for LPWAN WG at Berlin
>
>
>
> Hello again,
>
>
>
> IMPORTANT NOTICE: The contents of this email and any attachments are
> confidential and may also be privileged. If you are not the intended
> recipient, please notify the sender immediately and do not disclose the
> contents to any other person, use it for any purpose, or store or copy the
> information in any medium. Thank you.
>
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>
>

-- 
_______________________________________

Thomas Watteyne, PhD
Research Scientist & Innovator, Inria
Sr Networking Design Eng, Linear Tech
Founder & co-lead, UC Berkeley OpenWSN
Co-chair, IETF 6TiSCH

www.thomaswatteyne.com
_______________________________________

---

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Tue, 19 Apr 2016 11:46:17 +0200

Hi Ana, all,

I am also in favor of creating a new IETF WG focusing on LPWAN issues.

I think that support/optimization of IPv6 over LPWAN is the core
functionality required to connect LPWAN devices to the Internet. In this
area, LPWANs require a solution not as close to the RFC 4944/6282/6775
suite as the "IPv6 over foo" work done in the 6lo WG. In my opinion, the
particular LWPAN challenges require going beyond 4944/6282/6775 (even if
this suite may still be a basis in some aspects). In this regard, I think
potential WG items could be:

   - Produce "IPv6 over LPWAN: Problem Statement"
       o  Maybe including a description of upper layer issues as well
          (e.g. similar to RFC 4919).

   - Produce functionality to support IPv6 over LPWAN. We might define IPv6
     over foo specifications for the target LPWAN technologies to consider,
     and/or we might specify rather generic blocks:

       o  "Header Compression for IPv6 datagrams over LPWAN" (covering not
           only IPv6, but also headers of upper layer protocols such as UDP
           and CoAP)

       o  "Fragmentation Mechanism for IPv6 over LPWAN"

       o  "IPv6 Neighbor Discovery Adaptation for LPWAN"

There are also end-to-end reliability issues. For example, how should the
CoAP RTO be configured? Should CoCoA be used in these scenarios?

With regard to management, do the drafts listed below have a home already
in the CoRE WG?  (Just asking, with the aim to understand which would be
the best home for this piece of work.)

What do you think?

Thanks!

Carles

---

From: Xavier Vilajosana <[email-masked]>
Date: Tue, 19 Apr 2016 12:00:25 +0200

Hi,

I add some points that may be of interest as well:

1)some LPWAN technologies support multihop and star of star topologies. We
should see if RPL+6LoRH or other routing protocols fit into them, (e.g in
15.4g).

2)Inline with RFC6775 we need to explore efficient context distribution
approaches.

3) support to roaming. (WIND?)

regards,
Xavi

---

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Tue, 19 Apr 2016 12:17:38 +0200

Hi Xavi,

With regard to 15.4g, I think it would be helpful to understand which are
the specific problems for this radio interface to support IPv6.

In other words: is it possible (with reasonably acceptable performance) to
run IPv6 over 15.4g by using existing functionality? If not, why not?

Thanks!

Carles

---

From: Michael Richardson <[email-masked]>
Date: Tue, 19 Apr 2016 09:12:05 -0400

Thomas Watteyne <[email-masked]> wrote:
    > So I believe we have our 2-3 technologies, and I strongly suggest the
    > LPWAN group narrows its scope to those as an initial set. Please note
    > that a IEEE802.15.4g network is not per-se single hop, so that
    > "feature" of LPWAN should be lifted.

okay, but is the goal to run IPv6 over LPWAN, or define a way to transport
CoAP across the "last mile" without an IP layer?

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 19 Apr 2016 13:17:00 +0000

Hopefully both, if the IP layer is implicit or encoded as a context :)

Pascal

> -----Original Message-----
> From: lp-wan [mailto:[email-masked]] On Behalf Of Michael
> Richardson
> Sent: mardi 19 avril 2016 15:12
> To: Thomas Watteyne <[email-masked]>
> Cc: Ana Minaburo <[email-masked]>; [email-masked]; Hannes
> Tschofenig <[email-masked]>
> Subject: Re: [lp-wan] Focused Scope for LPWAN WG at Berlin
> 
>

---

From: Michael Richardson <[email-masked]>
Date: Tue, 19 Apr 2016 09:57:31 -0400

> Hopefully both, if the IP layer is implicit or encoded as a context :)

Well, they are different problems, and my observation of much of LPWAN
community is that they don't care that much about end-to-end IP at all, nor
do they have an architecture that would work with even 6lo.

But, one could have gateways that did all of the IPv6 layer work
(responding/gatewaying/mapping EUIDs to LPWAN things) and simply transported
CoAP.

---

From: "Prof. Diego Dujovne" <[email-masked]>
Date: Tue, 19 Apr 2016 11:00:27 -0300

Dear all,
            Every transmitted byte on an LPWAN becomes
very expensive in terms of energy, and finally, network life.
I agree that the standard IP layer does not directly fit on single-hop
LPWANs, but the main idea here is to achieve interoperability
with IP.
           I think IP should be present with different
structures and mechanisms, which will be one of the
main tasks for a LPWAN workgroup.
           Regards,

                                      Diego

-- 
DIEGO DUJOVNE
Académico Escuela de Ingeniería en Informática y Telecomunicaciones
Facultad de Ingeniería UDP
www.ingenieria.udp.cl
(56 2) 676 8125

---

From: Laurent Toutain <[email-masked]>
Date: Tue, 19 Apr 2016 16:07:35 +0200

Hi,

IPv6 connectivity is very important. If CoAP is used then the underlying
protocol must be efficiently compressed, but when a node needs an IPv6
connectivity it must be possible and with the smaller cost. The
architecture defined by the working group must cover all these cases.

Laurent

-- 
Laurent Toutain participez à l'enquête / participate the survey
Future of Internet? the survey | Futur d'Internet ?  l'enquête
*https://goo.gl/JbWGcJ
<https://goo.gl/JbWGcJ>*
+--- VoIP (recommended) ---+----------- Télécom Bretagne -----------+
| Tel: +33 2 22 06 8156    | Tel: + 33 2 99 12 7026                 | Visit
:
| Mob: +33 6 800 75 900    |                                        |
| Fax: +33 2 22 06 8445    | Fax: +33 2 99 12 7030                  |
http://class.touta.in
| [email-masked]         | [email-masked]    |
+--------------------------+----------------------------------------+

---

From: Ana Minaburo <[email-masked]>
Date: Thu, 21 Apr 2016 14:43:41 +0200

Hello Thomas,

Thank you for your input, I think we can discuss of which are the good
technologies to study, but there is not a doubt about SIGFOX, as they have
shown its interested. Ofcourse we can discuss about 802.15.4g and the
difference between 6tisch/6lo/6LoWPAN and LP-WAN relations and differences
but there are a good collaboration between them and IETF and we can take
advantage of it. There is missing one technology, we can wait and start
with this two approaches and see if LoRAWAN get into the group, or see if
anyone of have a contect with them?

Thanks
Ana

On Tue, Apr 19, 2016 at 9:37 AM, Thomas Watteyne <[email-masked]>
wrote:

> LPWAN group narrows its scope to those as an initial set. Please note that
> a IEEE802.15.4g network is not per-se single hop, so that "feature" of
> LPWAN should be lifted.
>
> My 2c.
>
> Thomas
>

---

From: Ana Minaburo <[email-masked]>
Date: Thu, 21 Apr 2016 14:44:35 +0200

Hello,

Thank you for your input, nevertheless even if the LP-WAN group is created
I believe that the work related to CoRE needs to be done there as
CooL/COMI, CoAP, etc and the work about IPv6 needs to be done in v6OPS but
what we need to do here is to study these problems for LP-WAN and bring
them to the other WG and not to do them here directly. Except for those
items where there is not WG like Header Compression or other.

Thanks
Ana

---

From: Alper Yegin <[email-masked]>
Date: Thu, 21 Apr 2016 16:39:07 +0300

Hello Ana, folks,

There is indeed interest on our side. Unfortunately, the last IETF meeting
collided with a LoRa Alliance meeting, hence I couldn't attend the IETF
LPWAN meeting, not even remotely.

Cheers,

Alper

On Thu, Apr 21, 2016 at 3:43 PM, Ana Minaburo <[email-masked]> wrote:

> On Tue, Apr 19, 2016 at 9:37 AM, Thomas Watteyne <[email-masked]
> > wrote:
>
>>> Well in this message I would like to discuss the scope of the WG. We
>>> need to define the focused gaps we want to work in. Let's agree about which
>>> are the subjects we want to study,
>>>
>>>
>>>
>>> I think the following points are vey important in order to create the
>>> WG, please tell me which other you think we need to add.
>>>
>>>
>>>
>>>
>>>
>>> 1. IPv6
>>>

---

From: Alexander Pelov <[email-masked]>
Date: Thu, 21 Apr 2016 17:46:25 +0200

Hi Alper,

It’s great that you are interested in our work! We’ll be glad to have you on-board for the next IETF meeting in Berlin. Would you be able to attend? 

Best,
Alexander

> Le 21 avr. 2016 à 15:39, Alper Yegin <[email-masked]> a écrit :
> 
> Hello Ana, folks,
> 
> There is indeed interest on our side. Unfortunately, the last IETF meeting collided with a LoRa Alliance meeting, hence I couldn't attend the IETF LPWAN meeting, not even remotely. 
> 
> Cheers,
> 
> Alper
> 
> 
> On Thu, Apr 21, 2016 at 3:43 PM, Ana Minaburo <[email-masked] <mailto:[email-masked]>> wrote:
> Hello Thomas,
> 
> Thank you for your input, I think we can discuss of which are the good technologies to study, but there is not a doubt about SIGFOX, as they have shown its interested. Ofcourse we can discuss about 802.15.4g and the difference between 6tisch/6lo/6LoWPAN and LP-WAN relations and differences but there are a good collaboration between them and IETF and we can take advantage of it. There is missing one technology, we can wait and start with this two approaches and see if LoRAWAN get into the group, or see if anyone of have a contect with them?
> 
> Thanks
> Ana
> 
> On Tue, Apr 19, 2016 at 9:37 AM, Thomas Watteyne <[email-masked] <mailto:[email-masked]>> wrote:
> I believe the BoF at Buenos Aires indicated work needs to be done in the area of LPWAN at the IETF.
> 
> Most of the discussion in Buenos Aires was about the technology that was going to be addressed; that discussion is missing from the initial e-mail in this thread.
> 
> There was a clear consensus from the room to narrow the scope of LPWAN to 2-3 long-range technologies. There were some remarks about whether this was the LPWAN group pushing new technology, or whether there was pull from the entities defining that technology. Since then, representatives of companies working on SIGFOX and IEEE802.15.4g technology spoke up, expressing clear interest for the solutions LPWAN could come up with. There may be others speaking up.
> 
> So I believe we have our 2-3 technologies, and I strongly suggest the LPWAN group narrows its scope to those as an initial set. Please note that a IEEE802.15.4g network is not per-se single hop, so that "feature" of LPWAN should be lifted.
> 
> My 2c.
> 
> Thomas
> 
> On Tue, Apr 19, 2016 at 9:17 AM, Hannes Tschofenig <[email-masked] <mailto:[email-masked]>> wrote:
> Hi Ana,
> 
>  
> 
> From: lp-wan [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Ana Minaburo
> To: [email-masked] <mailto:[email-masked]>
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/lp-wan <https://www.ietf.org/mailman/listinfo/lp-wan>
> 
> 
> 
> 
> -- 
> www.thomaswatteyne.com <http://www.thomaswatteyne.com/>
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/lp-wan <https://www.ietf.org/mailman/listinfo/lp-wan>
> 
> 
> 
> 
> 
> 
>

---

From: Alper Yegin <[email-masked]>
Date: Fri, 22 Apr 2016 00:02:36 +0300

Hello Alexander,

> It’s great that you are interested in our work! We’ll be glad to have you
> on-board for the next IETF meeting in Berlin.
>

Thank you :-)

> Would you be able to attend?
>
>
I'm planning to.

Alper

>> On Tue, Apr 19, 2016 at 9:37 AM, Thomas Watteyne <
>> [email-masked]> wrote:
>>
>>> There was a clear consensus from the room to narrow the scope of LPWAN
>>> to 2-3 long-range technologies. There were some remarks about whether this
>>> was the LPWAN group pushing new technology, or whether there was pull from
>>> the entities defining that technology. Since then, representatives of
>>> companies working on SIGFOX and IEEE802.15.4g technology spoke up,
>>> expressing clear interest for the solutions LPWAN could come up with. There
>>> may be others speaking up.
>>>

-- 
*Alper E. Yegin*
Head of Standards, Actility
Chair of Security Task Force, LoRa Alliance
Vice-Chair of Strategy Committee, LoRa Alliance
+90 533 348 24 02

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 22 Apr 2016 12:11:31 +0000

Hello Thomas:

The sense of the room and the talks in the corridors made very clear (to me) that there were elephants (and maybe one mammoth) in the room. At the top of the rumor, we found LoRa, SigFox and 802.15.4g. To progress, we need contacts (cross participation, intent messaging from responsible entities), we must identify deliverables that make sense for the IETF (feasibility in due time), and critical mass of people (we seem to have it for identified candidate items).

My perception so far:

-        LoRa: we have an organization to talk to, LoRaWAN; we have not determined yet if and on which topic there is a shared desire to get work done at the IETF

-        802.15.4g: we also have a clear partner organization, and we are used to work together. What is less clear is the issues that this technology has in common with other LPWA networks, and which PHYs would be considered

-        SigFox: we found a common interest, but the exact topics need to be refined before Berlin. It is unclear (to me) if we have a peer organization to talk to and how the adoption of IETF work will happen.

There is also the question of whether the work we do would be of interest for NB-IOT: there was little hope that a consistent sense would emerge between now and Berlin that NB-IOT is willing to consider adopting, say, a new compression technique as an update/replacement to ROHC.

Cheers,

Pascal

From: lp-wan [mailto:[email-masked]] On Behalf Of Thomas Watteyne
Sent: mardi 19 avril 2016 09:37
To: Hannes Tschofenig <[email-masked]>
Cc: Ana Minaburo <[email-masked]>; [email-masked]
Subject: Re: [lp-wan] Focused Scope for LPWAN WG at Berlin

My 2c.

Thomas

On Tue, Apr 19, 2016 at 9:17 AM, Hannes Tschofenig <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ana,

Ciao
Hannes

From: lp-wan [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Ana Minaburo
Sent: 18 April 2016 23:03
To: [email-masked]<mailto:[email-masked]>
Subject: [lp-wan] Focused Scope for LPWAN WG at Berlin

Hello again,

1. IPv6

2. Header Compression

3.  Security

4. Management

Regards
Ana

_______________________________________________
lp-wan mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lp-wan

Thomas Watteyne, PhD

www.thomaswatteyne.com<http://www.thomaswatteyne.com>
_______________________________________

---

From: Thomas Watteyne <[email-masked]>
Date: Tue, 26 Apr 2016 13:47:09 +0200

Pascal, all,

[I'm catching up on e-mail, and I see there is a lot of traffic going
already, so please bare with me as I process e-mails in chronological
order.]

I agree with your analysis of how the LPWAN BoF went in B-A. The 3
technologies you list are IMO, the right ones to start with.

My 2c,

Thomas

On Fri, Apr 22, 2016 at 2:11 PM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

> Hello Thomas:
>
>
>
> The sense of the room and the talks in the corridors made very clear (to
> me) that there were elephants (and maybe one mammoth) in the room. At the
> top of the rumor, we found LoRa, SigFox and 802.15.4g. To progress, we need
> contacts (cross participation, intent messaging from responsible entities),
> we must identify deliverables that make sense for the IETF (feasibility in
> due time), and critical mass of people (we seem to have it for identified
> candidate items).
>
>
>
> My perception so far:
>
>
>
> -        LoRa: we have an organization to talk to, LoRaWAN; we have not
> determined yet if and on which topic there is a shared desire to get work
> done at the IETF
>
> -        802.15.4g: we also have a clear partner organization, and we are
> used to work together. What is less clear is the issues that this
> technology has in common with other LPWA networks, and which PHYs would be
> considered
>
> -        SigFox: we found a common interest, but the exact topics need to
> be refined before Berlin. It is unclear (to me) if we have a peer
> organization to talk to and how the adoption of IETF work will happen.
>
>
>
> There is also the question of whether the work we do would be of interest
> for NB-IOT: there was little hope that a consistent sense would emerge
> between now and Berlin that NB-IOT is willing to consider adopting, say, a
> new compression technique as an update/replacement to ROHC.
>
>
>
> Cheers,
>
>
>
> Pascal
>
>
>
> *From:* lp-wan [mailto:[email-masked]] *On Behalf Of *Thomas
> Watteyne
> *Sent:* mardi 19 avril 2016 09:37
> *To:* Hannes Tschofenig <[email-masked]>
> *Cc:* Ana Minaburo <[email-masked]>; [email-masked]
> *Subject:* Re: [lp-wan] Focused Scope for LPWAN WG at Berlin
>
>
>

Thomas Watteyne, PhD

www.thomaswatteyne.com